<h2>Contract</h2>

<p>
  When generating the template, type-hints will be inferred if argument names
  follow the below convention:
</p>

<ul>
  <li>*LockingBytecode : address</li>
  <li>*Lockscript : address</li>
  <li>*Address : address</li>
  <li>*PublicKey : publicKey</li>
  <li>*PubKey : publicKey</li>
  <li>*Timestamp : unixTimestamp</li>
  <li>argType = int : number</li>
</ul>

<p>
  For now, type-hints are stashed into a variable's description field, but we'll
  probably want an explicit field for it.
</p>

<p>
  This field will probably need some "dynamic" capability to properly account
  for Oracles. E.g. An Oracle Price should probably refer to another fields
  Oracle Public Key so that Scaling Factor can be accommodated.
</p>
